### Enumeration

# Soup MessageHeadersType

#### Declaration

    enum Soup.MessageHeadersType

#### Description [src]

Value passed to `soup_message_headers_new()` to set certain default behaviors.

#### Members

`SOUP_MESSAGE_HEADERS_REQUEST`

  Request headers.

  - Value: `0`
  - Available since: 3.0
`SOUP_MESSAGE_HEADERS_RESPONSE`

  Response headers.

  - Value: `1`
  - Available since: 3.0
`SOUP_MESSAGE_HEADERS_MULTIPART`

  Multipart body part headers.

  - Value: `2`
  - Available since: 3.0